<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Singularity](./bitburner.singularity.md) &gt; [getAugmentationStats](./bitburner.singularity.getaugmentationstats.md)

## Singularity.getAugmentationStats() method

Get the stats of an augmentation.

<b>Signature:</b>

```typescript
getAugmentationStats(name: string): AugmentationStats;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  name | string | Name of Augmentation. CASE-SENSITIVE. |

<b>Returns:</b>

[AugmentationStats](./bitburner.augmentationstats.md)

Augmentation stats.

## Remarks

RAM cost: 5 GB \* 16/4/1

This function returns augmentation stats.

